# $Revision: 1.67 $, $Date: 2007/10/16 15:16:29 $
Summary:	GNU C indenting program
Summary(cs.UTF-8):	Odsazovací program GNU C
Summary(da.UTF-8):	GNU C indenterings-program
Summary(de.UTF-8):	GNU C-Indenting-Programm
Summary(fi.UTF-8):	GNU:n sisennysohjelma
Summary(fr.UTF-8):	Programme d'indentation C de GNU
Summary(it.UTF-8):	Programma della GNU per l'indentazione dei sorgenti C
Summary(ja.UTF-8):	GNU Cコード整形プログラム
Summary(pl.UTF-8):	GNU program formatujący źródła w C
Summary(ru.UTF-8):	Программа GNU для форматирования исходных текстов на C
Summary(tr.UTF-8):	GNU C girintilendirme programı
Summary(uk.UTF-8):	Програма GNU для форматування вихідних текстів на C
Name:		indent
Version:	2.2.9
Release:	9
License:	GPL
Group:		Development/Tools
Source0:	ftp://ftp.gnu.org/gnu/indent/%{name}-%{version}.tar.gz
# Source0-md5:	dcdbb163bef928306dee2a0cfc581c89
Patch0:		%{name}-info.patch
Patch1:		%{name}-po-fix.patch
Patch2:		%{name}-pl.po-update.patch
Patch3:		%{name}-zh_TW.patch
Patch4:		%{name}-make-jN.patch
Patch5:		%{name}-overflow.patch
Patch6:		%{name}-gcc4.patch
URL:		http://mysite.freeserve.com/indent/beautify.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	tetex
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Indent is a GNU program for beautifying C code, so that it is easier
to read. Indent can also convert from one C writing style to a
different one. Indent understands correct C syntax and tries to handle
incorrect C syntax.

%description -l cs.UTF-8
Toto je odsazovací program GNU. Používá se ke zkrášlení zdrojových
souborů v programech C.

%description -l da.UTF-8
GNU indenterings-program. Det bruges til at få C kildetekster til at
se pænere (og mere læsbare) ud

%description -l de.UTF-8
Das GNU-Indenting-Programm. Zur Verschönerung Ihrer
C-Programmquelldateienattraktiver aussehen!

%description -l fi.UTF-8
Tämä on GNU:n sisennysohjelma. Sitä käytetään C-ohjelmakoodin
muotoiluun.

%description -l fr.UTF-8
Programme d'indentation de GNU. Utilisé pour embellir les fichiers
source C.

%description -l it.UTF-8
Questo e' un programma per l'indentazione della GNU. E' usato per
abbellire i file sorgenti in C dei programmi.

%description -l ja.UTF-8
Indent は C のコードの可読性を上げるため、美しく整形するための
GNUプログラムです。 Indent は ある C の記述方法から別の記述方法へと
変換することができます。 Indent は、正しい C の構文を理解します。
そして、間違った構文も処理しようとします。

%description -l pl.UTF-8
GNU program formatujący źródła w C, które po takiej czynności łatwiej
się czyta. Indent umożliwia także konwersję między różnymi stylami
zapisu kodu źródłowego w C. Program ten rozumie poprawna składnię kodu
źródłowego C i stara się także formatować także kod który jest
niepoprawny składniowo.

%description -l ru.UTF-8
Indent - это программа GNU для придания красивости исходным текстам
программ на языке C, делая их более читабельными. Indent может также
конвертировать тексты между разными стилями написания. Он понимает
корректный C синтаксис и старается обрабатывать некорректный.

%description -l tr.UTF-8
Bu paket bir C programının kaynak kodunu güzelleştirmek için
kullanılır.

%description -l uk.UTF-8
Indent - це програма GNU для "прикрашення" вихідних текстів програм на
мові C з метою зробити їх більш читабельними. Indent може також
конвертувати тексти між різними стилями написання. Він розуміє
коректний C синтаксис і намагається обробляти некоректний.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

mv -f po/zh_TW{.Big5,}.po

%build
%{__gettextize}
%{__aclocal} -I aclocal
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%postun
[ ! -x /usr/sbin/fix-info-dir ] || /usr/sbin/fix-info-dir -c %{_infodir} >/dev/null 2>&1

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_infodir}/*.info*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: indent.spec,v $
Revision 1.67  2007/10/16 15:16:29  baggins
- rel 9

Revision 1.66  2007/03/06 13:41:40  spider
- rel++
- STBR

Revision 1.65  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.64  2007/02/12 00:48:56  baggins
- converted to UTF-8

Revision 1.63  2005/05/03 23:16:43  pluto
- gcc4 fix.

Revision 1.62  2005/05/03 22:59:16  pluto
- release 7 for Th.

Revision 1.61  2004/12/20 18:58:08  qboosh
- BR: texinfo

Revision 1.60  2004/03/11 15:48:09  qboosh
- added overflow patch (BID 9297, BTS#856)
- release 6 for Ac

Revision 1.59  2004/03/05 21:26:30  adamg
- proper URL

Revision 1.58  2004/03/01 21:53:30  andree
- BR: tetex

Revision 1.57  2004/02/28 15:45:13  twittner
- rel.5 (4 is now for Ra)

Revision 1.56  2003/05/30 15:13:15  qboosh
- merged lost change:
  Revision 1.54  2003/05/28 22:27:08  ankry
  - rel. 4

Revision 1.55  2003/05/27 09:32:45  trojan
- added Source-md5

Revision 1.54  2003/05/25 05:48:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.53  2003/04/29 09:30:12  kloczek
- release 3: fixed for allow build with "make -jN" (added make-jN patch).

Revision 1.52  2003/04/21 18:07:36  qboosh
- updated to 2.2.9
- updated pl.po-update and zh_TW patches

Revision 1.51  2003/01/31 12:46:33  qboosh
- zh_TW patch: rename zh_TW.Big5 to just zh_TW (default encoding)

Revision 1.50  2002/11/11 22:34:37  qboosh
- am_fix patch is not needed for anything, rebuilding auto* is not needed
  and would force only messing with gettext... >/dev/null
- added po-fix (fix for charset in da.po, use setlocale(LC_CTYPE,...) - needed
  for !us-ascii charsets) and pl.po-update (s/e) patches, BR: gettext-devel
- release 2

Revision 1.49  2002/11/08 23:39:31  kloczek
- updated to 2.2.8a: bug fixes,
- merge translations from KSI,
- new Source url and URL.

Revision 1.48  2002/10/09 13:14:35  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.47  2002/05/21 23:13:37  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.46  2002/05/14 00:21:25  kloczek
- fix building package (added am_fix patch).

Revision 1.45  2002/05/13 20:28:33  filon
- udpated to 2.2.8

Revision 1.44  2002/04/25 16:36:30  arturs
fixed a small typo

Revision 1.43  2002/03/24 23:28:19  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.42  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/01/18 02:13:19  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.40  2002/01/02 14:44:57  kloczek
- updated to 2.2.7 (bug fixes and added support for gettext),
- removed obsoleted am_fixes patch.

Revision 1.39  2001/11/07 02:01:41  kloczek
- release 4: added am_fixes patch with automake 1.5 fixes.

Revision 1.38  2001/07/26 05:42:08  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.36  2001/07/15 22:22:27  kloczek
- release 3,
- merge ja translation from Kondara,
- spec is ac 2.50 ready.

Revision 1.35  2001/01/30 01:27:01  kloczek
- bump relase to 2 (for allow upgrade from RH).

Revision 1.34  2000/11/18 20:57:20  kloczek
- updated to 2.2.6,
- removed outdated npsl_bug patch.

Revision 1.33  2000/11/14 00:38:42  kloczek
- release 8: added npsl_bug patch which fixes -nlsp handling bug (patch
  from Debian).

Revision 1.32  2000/10/12 01:53:43  kloczek
- release 7: use ew rpm automation.

Revision 1.31  2000/06/19 15:19:07  kloczek
- release 5 (for allow upgrade from RH).

Revision 1.30  2000/06/18 22:48:20  kloczek
- release 2.

Revision 1.29  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.28  2000/06/09 07:23:01  kloczek
- added using %%{__make} macro.

Revision 1.27  2000/05/24 16:50:46  zagrodzki
- changed [ -x ... ] && to [ ! -x ... ] ||

Revision 1.26  2000/05/21 01:39:50  kloczek
- spec adapterized.

Revision 1.25  2000/05/01 20:11:41  zagrodzki
- removed Prereq: /usr/sbin/fix-info-dir
- fix-info-dir in %pre/post is executed only when info is already
  installed

Revision 1.24  2000/04/01 11:14:43  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.23  2000/03/28 16:54:32  baggins
- translated kloczkish into english

Revision 1.22  2000/01/17 00:26:40  kloczek
- updated to 2.2.5,
- added Group(fr).

Revision 1.21  2000/01/11 21:58:22  kloczek
- release 2,
- adapter(ized),
- info page for indent moved in index to "Text Processing Tools" section.

Revision 1.20  1999/11/09 21:03:45  kloczek
- updated to 2.2.4.

Revision 1.19  1999/10/03 15:45:56  kloczek
- updated to 2.2.3.

Revision 1.18  1999/09/30 20:32:47  kloczek
- updated to 2.2.2.

Revision 1.17  1999/09/26 14:59:15  kloczek
- updated to 2.2.1.

Revision 1.16  1999/09/12 22:44:36  kloczek
- fixed Prereq.
